#
# spec file for package perl-Gtk-Perl (Version 0.7008)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel expat gdk-pixbuf-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gtk gtk-devel gxmhtml imlib imlib-config imlib-devel libglade libglade-devel libjpeg libpng libxml libxml-devel orbit orbit-devel perl-XML-Parser perl-XML-Writer xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel expat file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-config imlib-devel kbd less libglade libglade-devel libjpeg libpng libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl perl-XML-Parser perl-XML-Writer ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         perl-Gtk-Perl
Copyright:    Copyright (C) 1997-1999, Kenneth Albanowski
Group:        Development/Libraries/Perl
Provides:     Gtk-Perl perl_gtk perlgnom
Obsoletes:    perlgnom
Autoreqprov:  on
Version:      0.7008
Release:      70
Summary:      Perl module for gtk and gnome
Source:       Gtk-Perl-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-build

%description
Perl modules for access to the functions of gtk and gnome.

Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

SuSE series: perl

%prep
%setup -n Gtk-Perl-%{version}

%build
perl Makefile.PL
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
    INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
    INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
    install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Gtk-Perl
cd $RPM_BUILD_ROOT%{perl_sitearch}
for ii in `find . -name .packlist`; do
    cd ${ii%/*}
    cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist
    cd -
done
	       

%files 
%doc Gtk/samples/*.pl
%doc GdkImlib/samples/*.pl
%doc GtkGLArea/samples/*.pl
%doc GtkXmHTML/samples/*.pl
%doc ChangeLog README MANIFEST NOTES
%doc %{_mandir}/man3/*
%{perl_sitearch}/Gtk.pm
%{perl_sitearch}/Gtk
%{perl_sitearch}/auto/Gtk
%{perl_sitearch}/Gnome.pm
%{perl_sitearch}/Gnome
%{perl_sitearch}/auto/Gnome
/var/adm/perl-modules/perl-Gtk-Perl

%changelog -n perl-Gtk-Perl
* Thu Aug 16 2001 - rvasice@suse.cz
- update to version 0.7008
- added BuildRoot
- rename from perlgnom to perl-Gtk-Perl
* Thu Mar 29 2001 - schwab@suse.de
- Make sure we find GdkImlibTypes.h.
* Wed Mar 21 2001 - ro@suse.de
- added esound-devel to neededforbuild
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Nov 04 2000 - kukuk@suse.de
- Fix neededforbuild
* Mon Jun 05 2000 - ro@suse.de
- fixed to build
* Mon Jun 05 2000 - ro@suse.de
- added gxmhtml to neededforbuild
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Thu May 18 2000 - egger@suse.de
- Updated to 0.700.
- Used %%{version} instead of the hardcoded number in the
  .spec-file.
* Wed Mar 01 2000 - kasal@suse.de
- Deleted ``Requires: perl_pdl'', there is no reason for it, I hope.
  [A customer complained that gimp requires perlgnom which requires
  perl_pdl--it's nonsense.]
* Fri Jan 21 2000 - ro@suse.de
- move man to /usr/share using macro
* Tue Oct 19 1999 - fehr@suse.de
- changed to new version 0.6123
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 21 1999 - fehr@suse.de
- changed to new version 0.5121
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Apr 13 1999 - fehr@suse.de
- add version 0.5000 of package to SuSE distribution
